@charset "utf-8";
/*кнопки*/

button {
    appearance: none;
    -webkit-appearance: none;
}

button, .button {
    display: flex;
    font-size: 0.8125rem;
    font-family: inherit;
    padding: 0.5rem;
    /*! max-width: 12rem; */
    /*! text-align: center; */
    /*! margin: 1rem; */
    align-items: center;
    cursor: pointer;
    transition: ease-in-out 0.3s;
    /*! border-radius: var(--radius); */
    /*! min-width: 2.5rem; */
    justify-content: center;
    white-space: nowrap;
    background: var(--primary);
    border: none;
    color: white;
    border-radius: var(--radius-big);
    margin: 0.5rem;
    font-weight: 400;
    overflow: hidden;
    /*! height: calc(2.5rem + 2px); */
    min-width: 2.5rem;
}

button:hover, .button:hover {
    /*filter: brightness(1.1);*/ /* iq8bit */
    /*! background: var(--primary); */
    /*! box-shadow: var(--shadow-small); */
    /*! top: -1px; */
    /*! position: relative; */
    /*! transition: ease-in-out 0.3s; */
    /*! border: solid 1px white; */
    /*! color: white; */
}

button:disabled, button[disabled], .button.disabled {
    cursor: default;
    opacity: 0.6;
    /*! color: var(--grey); */
    /*! opacity: 0.75; */
    /*! background: var(--color_03); */
}



button.icon.text .material-icons, .button.text.icon .material-icons {
    padding: 0 0.5rem 0 0;
    /*! margin-right: -0.25rem; */
}

.button.text, button.text {
    /*! padding-right: 1rem; */
    /*! font-weight: 500; */
    padding: 0.5rem 2rem;
    /*! font-size: 0.8125rem; */
    line-height: 1.5rem;
}

button.button.blue {
    background: var(--blue);
}


.button.red .material-icons {
    color: var(--red);
    /*! background: white; */
}
.button.green .material-icons {
    color: var(--green);
    /*! background: white; */
}

.button.red:hover .material-icons {
    color: white;
}

.item .button.red .material-icons:hover {
    color: white;
    /*! background: var(--red); */
}

.button.invers {
    /*! color: white; */
    background: white;
}

.button.invers .material-icons {
    color: var(--primary);

}

.green {
    color: white;
    background: var(--green);
}

.red {
    color: white;
    background: var(--red);
}

.check > .red {
    background: none;
    color: red;
}



.button.red, button.red {
    color: white;
    background: var(--red);
}
.button.green, button.green {
    color: white;
    background: var(--green);
}

.button.small, button.small {
    /*! padding: 0; */
    margin: 0.25rem 0.5rem;
    /*! min-width: calc(1.5rem + 2px); */
    justify-content: center;
    /*! background: var(--secondary); */
    /*! border: solid 1px var(--primary); */
    width: 2.25rem;
    /*! height: 1.5rem; */
    padding: initial;
    /*! min-width: auto; */
    display: flex;
    align-items: center;
}

.button.small:not(.red):not(.green), button.small:not(.red):not(.green) {
    background: var(--secondary);
}

.button.small .material-icons {
    font-size: 0.875rem;
    color: white;
}

.button.red .material-icons, button.red .material-icons {
    color: white;
}

table .button.small {
    margin: 0.25rem 0.1rem;
}

.button.active {
    opacity: 0.5;
}

.button.rotate {
    transform: rotate(180deg);
}

.button.vision_table{
    width: 1.5rem;
    min-width: 1.5rem;
    display: inline-flex;
}
